#ifndef _Handle_PGeom2d_Direction_HeaderFile
#define _Handle_PGeom2d_Direction_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PGeom2d_Vector_HeaderFile
#include <Handle_PGeom2d_Vector.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PGeom2d_Vector);
class PGeom2d_Direction;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PGeom2d_Direction);

class Handle(PGeom2d_Direction) : public Handle(PGeom2d_Vector) {
  public:

    Handle(PGeom2d_Direction)():Handle(PGeom2d_Vector)() {} 
    Handle(PGeom2d_Direction)(const Handle(PGeom2d_Direction)& aHandle) : Handle(PGeom2d_Vector)(aHandle) 
     {
     }

    Handle(PGeom2d_Direction)(const PGeom2d_Direction* anItem) : Handle(PGeom2d_Vector)((PGeom2d_Vector *)anItem) 
     {
     }

    Handle(PGeom2d_Direction)& operator=(const Handle(PGeom2d_Direction)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PGeom2d_Direction)& operator=(const PGeom2d_Direction* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PGeom2d_Direction* operator->() const 
     {
      return (PGeom2d_Direction *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PGeom2d_Direction) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
